Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class CRF.State

    java.lang.Object
      cc.mallet.fst.Transducer.State
          cc.mallet.fst.CRF.State

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MEMM.State

Enclosing class:
  CRF

    public static class CRF.State

extends Transducer.State
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `CRF.State()`
`protected` | `CRF.State(java.lang.String name, int index, double initialWeight, double finalWeight, java.lang.String[] destinationNames, java.lang.String[] labelNames, java.lang.String[][] weightNames, CRF crf)`

Method Summary
`void` | `addWeight(int didx, java.lang.String weightName)`
`CRF.State` | `getDestinationState(int index)`
`double` | `getFinalWeight()`
`int` | `getIndex()`
`double` | `getInitialWeight()`
`java.lang.String` | `getLabelName(int index)`
`java.lang.String` | `getName()`
`Transducer` | `getTransducer()`
`java.lang.String[]` | `getWeightNames(int index)`
`int` | `numDestinations()`
`void` | `print()`
`void` | `setFinalWeight(double c)`
`void` | `setInitialWeight(double c)`
`Transducer.TransitionIterator` | `transitionIterator(FeatureVector fv, java.lang.String output)`
`Transducer.TransitionIterator` | `transitionIterator(Sequence inputSequence, int inputPosition, Sequence outputSequence, int outputPosition)`

Methods inherited from class cc.mallet.fst.Transducer.State
`transitionIterator, transitionIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CRF.State

    protected CRF.State()

### CRF.State

    protected CRF.State(java.lang.String name,
                        int index,
                        double initialWeight,
                        double finalWeight,
                        java.lang.String[] destinationNames,
                        java.lang.String[] labelNames,
                        java.lang.String[][] weightNames,
                        CRF crf)

Method Detail

### getTransducer

    public Transducer getTransducer()

  Specified by:
    `getTransducer` in class `Transducer.State`

### getInitialWeight

    public double getInitialWeight()

  Specified by:
    `getInitialWeight` in class `Transducer.State`

### setInitialWeight

    public void setInitialWeight(double c)

  Specified by:
    `setInitialWeight` in class `Transducer.State`

### getFinalWeight

    public double getFinalWeight()

  Specified by:
    `getFinalWeight` in class `Transducer.State`

### setFinalWeight

    public void setFinalWeight(double c)

  Specified by:
    `setFinalWeight` in class `Transducer.State`

### print

    public void print()

### numDestinations

    public int numDestinations()

### getWeightNames

    public java.lang.String[] getWeightNames(int index)

### addWeight

    public void addWeight(int didx,
                          java.lang.String weightName)

### getLabelName

    public java.lang.String getLabelName(int index)

### getDestinationState

    public CRF.State getDestinationState(int index)

### transitionIterator

    public Transducer.TransitionIterator transitionIterator(Sequence inputSequence,
                                                            int inputPosition,
                                                            Sequence outputSequence,
                                                            int outputPosition)

  Specified by:
    `transitionIterator` in class `Transducer.State`

### transitionIterator

    public Transducer.TransitionIterator transitionIterator(FeatureVector fv,
                                                            java.lang.String output)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `Transducer.State`

### getIndex

    public final int getIndex()

  Specified by:
    `getIndex` in class `Transducer.State`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD